package br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl;

/**
 * The extended model implementation for the Agendamento service. Represents a row in the &quot;PRT_GESTMSG_AGENDAMENTO&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * Helper methods and all application logic should be put in this class. Whenever methods are added, rerun ServiceBuilder to copy their definitions into the {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento} interface.
 * </p>
 *
 * @author Henrique Simoes
 */
public class AgendamentoImpl extends AgendamentoBaseImpl {

	/**
	 * Boolean indicando se o agendamento nao deve ser excluido pela rotina de limpeza dos agendamentos.
	 */
	private boolean naoExcluir;
	
    public AgendamentoImpl() {
    }

	public boolean isNaoExcluir() {
		return naoExcluir;
	}

	public void setNaoExcluir(boolean naoExcluir) {
		this.naoExcluir = naoExcluir;
	}
}
